*,
*::before,
*::after {
    box-sizing: border-box;
}

:root {
    background-color: oklch(0.9961 0.0034 325.6);
    font-family: 'Montserrat', sans-serif;
    line-height: 1.6;
    scroll-behavior: smooth;
}


body {
    margin: 0;
}

.highlight {
    font-style: italic;
    font-weight: bold;

}

footer .highlight {
    font-style: normal;
    font-weight: normal;
    color: oklch(95.97% 0.20757 108.586);
}

.container {
    max-width: 80rem;
    margin: 0 auto;
    padding: 0 1rem;
}

.container--narrow {
    max-width: 40rem;
    margin: 0 auto;
    padding: 2vh 2vw;
}

nav a {
    color: inherit;
    padding: 0.25rem 2rem;
    text-decoration: none;
}

nav ul li {
    margin-bottom: 0.50rem;
}

nav a:hover {
    background-color: oklch(53.338% 0.05133 273.648);
}

nav a:focus-visible {
    outline: 4px dotted oklch(62.793% 0.25768 29.223);
}

nav ul {
    color: oklch(0.9961 0.0034 325.6);
    list-style: none;
    padding: 0;
    margin-left: -2rem;
}

nav ul li:nth-child(2) {
    color: oklch(0% 0 0);
    background-color: oklch(70.166% 0.3226 328.352);
}

header {
    background-color: oklch(0.1454 0.062 264);
    color: oklch(0.9961 0.0034 325.6);
    margin-bottom: 2rem;
}

footer {
    background-color: oklch(0.1454 0.062 264);
    color: oklch(0.3211 0 0);
}

h2+p {
    font-style: italic;
}

a[href*="mozilla"] {
    background-color: oklch(71.303% 0.1945 47.872 / 0.5);
}

footer p:last-child {
    margin: 0;
}

.m-1 {
    margin: 1rem 0;
}

.m-2 {
    margin: 2rem 0;
}

.p-1 {
    padding: 1rem;
}

.p-2 {
    padding: 2rem;
}